GNU bug report logs - #58664
29.0.50; Dired fails to operate on files with newline charachters in name

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Philip Kaludercic <philipk@HIDDEN>; Keywords: wontfix; Done: Stefan Kangas <stefankangas@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58664 <at> debbugs.gnu.org:


Received: (at 58664) by debbugs.gnu.org; 24 Nov 2022 20:02:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 15:02:04 2022
Received: from localhost ([127.0.0.1]:60350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oyIQ7-0003uh-Ks
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 15:02:04 -0500
Received: from mail-oi1-f169.google.com ([209.85.167.169]:36422)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1oyIQ4-0003ta-Rz
 for 58664 <at> debbugs.gnu.org; Thu, 24 Nov 2022 15:02:01 -0500
Received: by mail-oi1-f169.google.com with SMTP id s206so2497996oie.3
 for <58664 <at> debbugs.gnu.org>; Thu, 24 Nov 2022 12:02:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=+FtSd5wsuwNGWFizOA1ArvlSZGwPABldtbxEXXZOqcs=;
 b=YN3y5tVdNEeF5dNO2tkaerP1K0AtjliMEtociEk/CsYL3Z3CY8C5yLsjWsvKU2OBQ+
 jIt0EkkmdNMx9DdaIkAuTR+yteqh/daEyckD1G52gRIOr5cSAnDSg7vI5Va455u+aLFV
 SL2DeG8G+57+WaO1hXtSb9jv8fpbHwpXxCnSdb9Zo/nHSW9tKb8mUrdEcAgMq0X8ivcF
 mmKY9rnZcuBBK+94BicnmMOzO9tSrb0UfAzkMJJN+q9z4suG2L4AEeCmRMKtfa0utzSu
 MQzfD+RRqZa7C9D+/S4tr5RrkcAvAx5kdhnpgpymQR1s52kejE/JwsaGzkL+YGRDySnP
 n/8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=+FtSd5wsuwNGWFizOA1ArvlSZGwPABldtbxEXXZOqcs=;
 b=oGuo3mrYVyAcZanEGYAyqZkbttYpn9kSY11yeB811x6uNoWE90ec0FPTgXLeT3dAU1
 Ti3GqobQnzU466383oRMTY6KjsVXD5J9ji/W2VmPwhkk11cJnarU+1eS0z5TUx21Gq70
 8gha/o1ADE75AjDtf21UnH0kbsesjvrqvfYE/WGawbPWPCHABQ2QR7YZ1T0+NlMHgWjt
 GU7/qMjseVK6AJBSCDfmuh5sltWOuBW+12QPUhDmjUl6754esflgIjt1Iyu1NsnRAERd
 sf1X0K9Dw/Uklb8X3hx/d6m2KTPx/3UL1Cbk8hC+7DAcGKQyekP3yiMo8jNg8ir0Vq+b
 NLKQ==
X-Gm-Message-State: ANoB5pkuX6Dxav4WaESqE6geRnstYe14wdkuPbgKKwZq2k3JcubmEp0O
 Gyp1UkbmCVpEjWXVfEdhN3F2zRyLUdMPRjI174g/ed4R
X-Google-Smtp-Source: AA0mqf6AXerG7u6NgFsKffDy42GHiQMmM4c+MPSg8lnjFKtonUrCBNqMBotHeBfq7Zwzj8q9K5yX8RtxIvDHjr1OZMA=
X-Received: by 2002:a05:6808:1287:b0:359:dc32:4f9e with SMTP id
 a7-20020a056808128700b00359dc324f9emr8557996oiw.92.1669320115433; Thu, 24 Nov
 2022 12:01:55 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 24 Nov 2022 12:01:55 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83tu3ywfc0.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 20 Oct
 2022 20:54:39 +0300")
References: <87y1tajsxr.fsf@HIDDEN> <83tu3ywfc0.fsf@HIDDEN>
X-Hashcash: 1:20:221124:eliz@HIDDEN::YzDsThIY3TvSOiGE:72Sa
MIME-Version: 1.0
Date: Thu, 24 Nov 2022 12:01:55 -0800
Message-ID: <CADwFkm=FLz_cD8O7aB=RAu1g9jaH6bFdQP1ORY-MnKdZgEOQsA@HIDDEN>
Subject: Re: bug#58664: 29.0.50; Dired fails to operate on files with newline
 charachters in name
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58664
Cc: Philip Kaludercic <philipk@HIDDEN>, 58664 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 58664 + wontfix
close 58664
thanks

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Philip Kaludercic <philipk@HIDDEN>
>> Date: Thu, 20 Oct 2022 17:39:12 +0000
>>
>>
>> If I create a file in the shell using
>>
>>    $ touch "one
>>    two"
>>    $ ls
>>    'one'$'\n''two'
>>
>> and try to open this directory using Dired, I get the following
>>
>>     -rw-r--r--. 1 philip philip    0 Oct 20 19:37 one
>>   two
>>
>> where the "t" in two is highlighted.  If I try to mark the file and
>> delete it, Dired attempts to delete the file "one", that luckily doesn't
>> exist.
>
> This is a known issue.  The best solution we have for it is to use -b
> in the ls switches used by Dired.  (That cannot be the default because
> -b has adverse effect in other cases.)

So I think this is a wontfix.  I'm therefore closing this bug report.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58664; Package emacs. Full text available.
bug closed, send any further explanations to 58664 <at> debbugs.gnu.org and Philip Kaludercic <philipk@HIDDEN> Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58664 <at> debbugs.gnu.org:


Received: (at 58664) by debbugs.gnu.org; 20 Oct 2022 17:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 13:54:52 2022
Received: from localhost ([127.0.0.1]:36106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olZkp-0007UH-QX
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 13:54:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59530)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1olZkn-0007U2-M7
 for 58664 <at> debbugs.gnu.org; Thu, 20 Oct 2022 13:54:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1olZki-0008G7-D0; Thu, 20 Oct 2022 13:54:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=J62XWDki30E5QHUSdfeqx9fVxA+UpSzhmqHq7H8fqcE=; b=R59J6eYIE9w3
 bxa+uFcfaU3lwXjmiGu4SvRjPk/WJ6B5ID4D9FVlcKfLFVoLOAe80W/LI9fy7GapExc0WHoXXPPsE
 3OWEkswP1o8YuwgCUl7uhy2ZrW0fN4SlGJIBsoSYVyCdhiPHifnOV25vlRdiswkPYTxTmue+djsbX
 DIlk1A+F5J/NmKsAOVLXFTzrum6k4iS5OSYtizUuICGf4MF/myLy5j3uyHczFJHj59j+wvhMrIXzL
 QSlU6jfD29QbriPfa8Q3XanfwkWL9vWK+hqKQ/3VT1CQIaN+aPiP0ZbGWZLUPtpeht8R2qSJa+BLP
 qy6boLSVExYKMjR+D6ropw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1olZkh-0000OF-M5; Thu, 20 Oct 2022 13:54:44 -0400
Date: Thu, 20 Oct 2022 20:54:39 +0300
Message-Id: <83tu3ywfc0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
In-Reply-To: <87y1tajsxr.fsf@HIDDEN> (message from Philip Kaludercic on
 Thu, 20 Oct 2022 17:39:12 +0000)
Subject: Re: bug#58664: 29.0.50;
 Dired fails to operate on files with newline charachters in name
References: <87y1tajsxr.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58664
Cc: 58664 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Philip Kaludercic <philipk@HIDDEN>
> Date: Thu, 20 Oct 2022 17:39:12 +0000
> 
> 
> If I create a file in the shell using
> 
>    $ touch "one
>    two"
>    $ ls
>    'one'$'\n''two'
> 
> and try to open this directory using Dired, I get the following
> 
>     -rw-r--r--. 1 philip philip    0 Oct 20 19:37 one
>   two
> 
> where the "t" in two is highlighted.  If I try to mark the file and
> delete it, Dired attempts to delete the file "one", that luckily doesn't
> exist.

This is a known issue.  The best solution we have for it is to use -b
in the ls switches used by Dired.  (That cannot be the default because
-b has adverse effect in other cases.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58664; Package emacs. Full text available.

Message received at 58664 <at> debbugs.gnu.org:


Received: (at 58664) by debbugs.gnu.org; 20 Oct 2022 17:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 13:52:00 2022
Received: from localhost ([127.0.0.1]:36101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olZi4-0007Q3-9I
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 13:52:00 -0400
Received: from mout.gmx.net ([212.227.17.22]:56959)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1olZi2-0007Pm-O7
 for 58664 <at> debbugs.gnu.org; Thu, 20 Oct 2022 13:51:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1666288312;
 bh=PzJJRT9IVb0lcEuyEis8RLcuthC8vYOdLF/hYsPgtAo=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:In-Reply-To:References:Date;
 b=BqLkdDkDwSO6egcZx9fQtonf0Kf5j0KXF/s/wSGd3RMj+FWl6IGHgEEQVdzPF/1k8
 rER/KgUc1VHuxguAqsThgw6o5wTJg/kPwCIZgBp9Tta/azyPlEtf7Wdx0rJvrakSXQ
 PAEK0i1ZTLoBk8Ogu8/czZkkV37mH5r0t+gSW4ws=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobelfs2 ([89.246.36.252]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MLiCu-1oU2r93utc-00HibD; Thu, 20
 Oct 2022 19:51:52 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Philip Kaludercic <philipk@HIDDEN>
Subject: Re: bug#58664: 29.0.50; Dired fails to operate on files with
 newline charachters in name
In-Reply-To: <87y1tajsxr.fsf@HIDDEN> (Philip Kaludercic's message of "Thu, 
 20 Oct 2022 17:39:12 +0000")
References: <87y1tajsxr.fsf@HIDDEN>
Date: Thu, 20 Oct 2022 19:51:51 +0200
Message-ID: <87edv29ydk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:Ogq34q/U7P/dWZ9UEpefKx0pX6RkedlSisqGGDOUu4k6HU+05GA
 zNN1XxH1API91BjakW8x0XFlYKDnP+2crI00NGUemIBmRKQqbGo5dcYCS3MCoeujMqbEziu
 jCAn4j1U2gbODh3TAlYcCLKuiHOXJyAoNliBs6196RjXli20XivTaubU03Mi1E5hwN2jVAi
 jRokWIxlc3Cbhgp3ms1WA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:FkxGxAIMBbY=:qxMcgYLzgTqmEZ03awdtcK
 Gbt84g+q6TqG5vvq2Z6JgwdWIGIpkunzQzEFtdLRKQOfRkIGbfFWmuefWprsI4DfkG+6nv7fE
 n7E+9q0a6+o4r4hUZv5hBjF1NJ6DRErbxZ4cX2kySAGo0WmIQR84UYKlq3BMKTNtd9NoehNtN
 SfxBWOxKynAiBXRe2/L9/B1M62RWhkuTiitIinLRZ76Yooob6WFA7N4HO/YgK4BIeCFxcyta8
 VeOUCADXV/9Ss88z8HxdYsG73XaKOKWnXlhhSmOV19jVf9XbCZvjb9Ikq6unckj6535Ge8Oba
 ukrEA3Jr6zydUFt+eqeQO3GXeEIHZkQjseqR6pKBqSwD6M7p07BZja5XlGeujQbs600eluqR8
 QRu2kkAmfWGcKzL4nbKnvQxEoeOFKDJVEXSICo34AuSVYK50KuBHjA7EZkrCqsGZKKvvOVoXm
 TmgSLtESx25VRd8JFaLs4hEdGU9B6P6Ye+jFGnYDpydiSPUSTEd+osqtBintN8KO1WF3Y9CRc
 farwnwJ2s3Npk6h6VqVw3np89BTJWIvquEusq7yILvTOZ6aTcj7/WJgvZwjkYgSO8SJCMrSHE
 4vLviEdHIg2R/ZSiR/Ggd1svgALDnaFCKNaVvx91PH4e53e5qcRJdSNASJ8H8Xu1HrLU8D92s
 LN2WtIxm1iTavKkDmG+8Z4KRUIynxpt2f79iMbvi8uhLi4z1YGVp6KDfosu1ghUkZE4d/j6jl
 3SoUmIsG1bBvIfJEKTi/vo/Rx3ckATAAu0V5d6ND5EgtPOnTo41kTwHyN5B676H1PV/xkPfaT
 mb/YkH9AYGVZcw7uD1P1dcSF7woNDkvtoiP4kX0JcUKlCOHIqQ5uvE3eP/G5JvrtKa6dsLZN8
 hg8XHO2F7+4W+We+6QlysGtgm6R/+LC9qwKlm85GwCCNRv5ei0xEyXdVtAECI9sN1Tm5/sb1f
 WirEr6+y51Ek6YIR4yEK91QpnHCPo3jPJeunyaciFujtg9jJ6pEvBrQU+Nkkj4pAYMrNqLBlb
 O+EBLdUxL53m0KXZ2hpaw/xCOvqS2OsyTgLJG1n/HYwZT7+yX9dbT8MKpSFbnWSihPodxCyCw
 m9V0nKQE6lxikiS0RE4vlieAHuKfF6x3iYV/HRZgwB5FNZXq3siHu4278OMU5kYK93DgQlmJU
 lPhNWLjOm0ZBeeX8TR5gXrLYC1bihGzQAdjQAQ+X2zUdBPIqqeam2HsWmAfWlPnh3aKMbIrPF
 9l94ovHa4bjjZFd3AeQge4ggJb8alBc+FX5kg0TGdYT6dMFQVc0bKWAis5jsCvgdVG6ZBXpqE
 HtKK1lKisSIJpyolvoYFPho0lxOSle4pMdm85mb/8b3rCVwK9neQpohyLXsf7STTOuIfSVNXe
 gEj7MowQFzst++o+1l3bPjvVG2Ln+Ae0FlwdPWA1KUZ87eu9+HXhbajix3ZZeaJszPKyJZoHM
 Ooos2C0jCe+ffBpKixOnge6HMEdON0U9KqsyHnqBIQ9bxCfDgYxmUD2Qzbgfq1iwdeSxuJ8tA
 3xUdsX/hP77zy3l8E0vb6qU/RSXAuWN97Ao4RP2Rrrd36
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 58664
Cc: 58664 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, 20 Oct 2022 17:39:12 +0000 Philip Kaludercic <philipk@HIDDEN> w=
rote:

> If I create a file in the shell using
>
>    $ touch "one
>    two"
>    $ ls
>    'one'$'\n''two'
>
> and try to open this directory using Dired, I get the following
>
>     -rw-r--r--. 1 philip philip    0 Oct 20 19:37 one
>   two
>
> where the "t" in two is highlighted.  If I try to mark the file and
> delete it, Dired attempts to delete the file "one", that luckily doesn't
> exist.

See (emacs) Dired Enter:

     Dired does not handle files that have names with embedded newline
  characters well.  If you have many such files, you may consider adding
  =E2=80=98-b=E2=80=99 to =E2=80=98dired-listing-switches=E2=80=99.  This w=
ill quote all special
  characters and allow Dired to handle them better.  (You can also use the
  =E2=80=98C-u C-x d=E2=80=99 command to add =E2=80=98-b=E2=80=99 temporari=
ly.)

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58664; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2022 17:39:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 13:39:29 2022
Received: from localhost ([127.0.0.1]:36069 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olZVw-000754-OV
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 13:39:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:32846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <philipk@HIDDEN>) id 1olZVu-00074w-OB
 for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 13:39:27 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philipk@HIDDEN>)
 id 1olZVo-0003sk-PA
 for bug-gnu-emacs@HIDDEN; Thu, 20 Oct 2022 13:39:24 -0400
Received: from mout02.posteo.de ([185.67.36.66])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <philipk@HIDDEN>)
 id 1olZVm-0001jF-5W
 for bug-gnu-emacs@HIDDEN; Thu, 20 Oct 2022 13:39:20 -0400
Received: from submission (posteo.de [185.67.36.169]) 
 by mout02.posteo.de (Postfix) with ESMTPS id DDA1D240103
 for <bug-gnu-emacs@HIDDEN>; Thu, 20 Oct 2022 19:39:15 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1666287555; bh=WZE1CzeP8C/1EBUwPFKxBX3xnB5G6RP4hrO+j9ofXcY=;
 h=From:To:Subject:Autocrypt:Date:From;
 b=Ev6xVDtoEc+kdDdpEKSTuPFZ8051RI4oTaMskTLhHDwakNLnQGjOfHs8+I0IoBJya
 L7NnrmAWgdFfscjATY6ISQTzbrwJWdoJbPWG1WNncVlS2FelQGA2PWKqkSbGFqQBTZ
 JerU8q/H4H7vmZHxzIaIl0a83rlNKnTaTrptaETHdgnRhioOcEEBuZBlOF3JQR5MBV
 QYcLaHSzHSIPEB6Fv0Vs8DR0hwGLZ4svbQzsG3nvG2fuyYcULonT3Z7c5iJOSViz8p
 PkJmMiFPv1Yv1U0NzhNp3W6LohqvjeSVYYVtcaBlyG0bBtUxMsq6Vc/KMGzdmMWcIh
 UpU0wpyEWHE2A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4MtZbR3lcGz9rxD
 for <bug-gnu-emacs@HIDDEN>; Thu, 20 Oct 2022 19:39:13 +0200 (CEST)
From: Philip Kaludercic <philipk@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Dired fails to operate on files with newline charachters
 in name
Autocrypt: addr=philipk@HIDDEN; prefer-encrypt=nopreference; keydata=
 mDMEYHHqUhYJKwYBBAHaRw8BAQdAp3GdmYJ6tm5McweY6dEvIYIiry+Oz9rU4MH6NHWK0Ee0QlBo
 aWxpcCBLYWx1ZGVyY2ljIChnZW5lcmF0ZWQgYnkgYXV0b2NyeXB0LmVsKSA8cGhpbGlwa0Bwb3N0
 ZW8ubmV0PoiQBBMWCAA4FiEEDM2H44ZoPt9Ms0eHtVrAHPRh1FwFAmBx6lICGwMFCwkIBwIGFQoJ
 CAsCBBYCAwECHgECF4AACgkQtVrAHPRh1FyTkgEAjlbGPxFchvMbxzAES3r8QLuZgCxeAXunM9gh
 io0ePtUBALVhh9G6wIoZhl0gUCbQpoN/UJHI08Gm1qDob5zDxnIHuDgEYHHqUhIKKwYBBAGXVQEF
 AQEHQNcRB+MUimTMqoxxMMUERpOR+Q4b1KgncDZkhrO2ql1tAwEIB4h4BBgWCAAgFiEEDM2H44Zo
 Pt9Ms0eHtVrAHPRh1FwFAmBx6lICGwwACgkQtVrAHPRh1Fw1JwD/Qo7kvtib8jy7puyWrSv0MeTS
 g8qIxgoRWJE/KKdkCLEA/jb9b9/g8nnX+UcwHf/4VfKsjExlnND3FrBviXUW6NcB
Date: Thu, 20 Oct 2022 17:39:12 +0000
Message-ID: <87y1tajsxr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=185.67.36.66; envelope-from=philipk@HIDDEN;
 helo=mout02.posteo.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


If I create a file in the shell using

   $ touch "one
   two"
   $ ls
   'one'$'\n''two'

and try to open this directory using Dired, I get the following

    -rw-r--r--. 1 philip philip    0 Oct 20 19:37 one
  two

where the "t" in two is highlighted.  If I try to mark the file and
delete it, Dired attempts to delete the file "one", that luckily doesn't
exist.

In GNU Emacs 29.0.50 (build 18, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.17.6) of 2022-10-18 built on rhea
Repository revision: 65fa87329ce577d1ee907c0716b48aac8c0d7d27
Repository branch: feature/package+vc
System Description: Fedora Linux 36 (Workstation Edition)

Configured using:
 'configure --with-pgtk --with-imagemagick'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ IMAGEMAGICK
JPEG JSON LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NOTIFY INOTIFY PDUMPER
PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS XIM
GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Message

Minor modes in effect:
  gnus-message-citation-mode: t
  autocrypt-mode: t
  mml-mode: t
  outline-minor-mode: t
  flyspell-mode: t
  repeat-mode: t
  display-battery-mode: t
  display-time-mode: t
  diff-hl-flydiff-mode: t
  winner-mode: t
  windmove-mode: t
  corfu-history-mode: t
  vertico-multiform-mode: t
  vertico-mode: t
  electric-pair-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  save-place-mode: t
  savehist-mode: t
  pixel-scroll-precision-mode: t
  pixel-scroll-mode: t
  xterm-mouse-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tab-bar-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  line-number-mode: t
  auto-fill-function: yas--auto-fill
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/philip/.config/emacs/site-lisp/emacs-inspector/inspector hides /home/philip/.config/emacs/elpa/inspector-0.8/inspector
/home/philip/.config/emacs/site-lisp/emacs-inspector/inspector-tests hides /home/philip/.config/emacs/elpa/inspector-0.8/inspector-tests
/home/philip/.config/emacs/site-lisp/flymake-proselint/flymake-proselint hides /home/philip/.config/emacs/elpa/flymake-proselint-0.3.0/flymake-proselint
/home/philip/.config/emacs/elpa/transient-0.3.7/transient hides /home/philip/Source/emacs/lisp/transient
/home/philip/.config/emacs/elpa/xref-1.5.1/xref hides /home/philip/Source/emacs/lisp/progmodes/xref

Features:
(shadow emacsbug rect avy pulse bug-reference shortdoc so-long
geiser-mode geiser-xref geiser-compile geiser-debug transient edmacro
geiser-imenu geiser-chibi geiser-guile info-look geiser geiser-repl
geiser-image geiser-capf geiser-doc geiser-menu geiser-edit etags
fileloop geiser-completion geiser-autodoc geiser-eval geiser-connection
tq geiser-syntax scheme geiser-log geiser-popup view gnus-cus gnus-demon
gnus-diary nndiary gnus-draft gnus-dup gnus-fun gnus-html url-cache
gnus-kill gnus-logic gnus-mh mh-comp mh-scan mh-gnus mh-e mh-buffers
mh-loaddefs gnus-registry registry eieio-base rmailsum rmail gnus-salt
gnus-topic gnus-uu yenc gnus-vm xref tramp-cmds consult-vertico consult
compat-28 kmacro bookmark modus-vivendi-theme mailalias smtpmail
autocrypt-message ecomplete flow-fill mm-archive qp ietf-drums-date
mule-util smiley gnus-cite mail-extr textsec uni-scripts idna-mapping
ucs-normalize uni-confusable textsec-check gnus-async gnus-bcklg gnus-ml
disp-table autocrypt-gnus autocrypt nndraft nnmh utf-7 nnfolder epa-file
network-stream nsm gnus-agent gnus-srvr gnus-score score-mode nnvirtual
gnus-msg nntp gnus-cache sort flymake-proselint mhtml-mode css-mode
color js imenu cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs sgml-mode facemenu ox-odt rng-loc
rng-uri rng-parse rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns
nxml-enc xmltok nxml-util ox-latex ox-icalendar org-agenda org-refile
ox-html table ox-ascii ox-publish ox copyright char-fold misearch
multi-isearch vc-fossil vc-hg vc-bzr vc-src vc-sccs vc-svn vc-cvs vc-rcs
sh-script smie executable vc-backup quail org-element avl-tree generator
ol-eww eww url-queue mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus
nnselect gnus-art mm-uu mml2015 mm-view mml-smime smime gnutls dig
gnus-sum shr pixel-fill kinsoku url-file svg dom gnus-group gnus-undo
gnus-start gnus-dbus gnus-cloud nnimap nnmail mail-source utf7 nnoo
gnus-spec gnus-int gnus-range message yank-media puny rfc822 mml mml-sec
epa derived epg rfc6068 epg-config mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win ol-docview
doc-view jka-compr image-mode exif ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete org-list org-faces
org-entities org-version ob-emacs-lisp ob-core ob-eval org-table
oc-basic bibtex ol org-keys oc org-compat advice org-macs org-loaddefs
find-func cal-menu calendar cal-loaddefs orderless vertico-directory
vertico-flat dired-aux autorevert filenotify buffer-env compat noutline
outline checkdoc flymake-proc flymake warnings yasnippet-snippets
cl-extra yasnippet flyspell ispell init auth-source-pass repeat project
battery dbus xml shell-command+ thingatpt dired-x dired dired-loaddefs
time sendmail rfc2047 rfc2045 ietf-drums gnus nnheader gnus-util
mail-utils range mm-util mail-prsvr finder-inf diff-hl-flydiff diff
diff-hl log-view pcvs-util vc-dir ewoc hippie-exp winner windmove
corfu-history corfu vertico-multiform vertico elec-pair tramp-cache
time-stamp tramp-sh tramp tramp-loaddefs trampver tramp-integration
cus-edit pp icons files-x tramp-compat shell pcomplete parse-time
iso8601 time-date ls-lisp format-spec recentf tree-widget wid-edit
saveplace savehist pixel-scroll cua-base xt-mouse modus-operandi-theme
modus-themes cus-load setup site-lisp auto-site compile
text-property-search comint ansi-osc ansi-color loaddefs-gen
ef-themes-autoloads objed-autoloads xr-autoloads consult-autoloads
corfu-autoloads focus-autoloads vertico-autoloads eglot-autoloads
lua-mode-autoloads debbugs-autoloads rcirc-color-autoloads
inspector-autoloads flylisp-autoloads flymake-proselint-autoloads
geiser-guile-autoloads xref-autoloads vc-fossil-autoloads
diff-hl-autoloads crdt-autoloads embark-autoloads auctex-autoloads
tex-site magit-autoloads buffer-env-autoloads compat-autoloads
geiser-chibi-autoloads geiser-impl help-fns radix-tree help-mode
geiser-custom geiser-base ring geiser-autoloads slime-autoloads
transient-autoloads info vc-git diff-mode easy-mmode package-vc pcase
xdg vc vc-dispatcher lisp-mnt rx package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile cconv url-vars cl-loaddefs cl-lib
rmc iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
pgtk-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
replace newcomment text-mode lisp-mode prog-mode register page tab-bar
menu-bar rfn-eshadow isearch easymenu timer select scroll-bar mouse
jit-lock font-lock syntax font-core term/tty-colors frame minibuffer
nadvice seq simple cl-generic indonesian philippine cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript charprop
case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo gtk pgtk multi-tty make-network-process emacs)

Memory information:
((conses 16 839432 111206)
 (symbols 48 45851 16)
 (strings 32 188119 14683)
 (string-bytes 1 5658345)
 (vectors 16 111467)
 (vector-slots 8 2196651 76700)
 (floats 8 732 680)
 (intervals 56 7780 643)
 (buffers 1000 41))




Acknowledgement sent to Philip Kaludercic <philipk@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58664; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 24 Nov 2022 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.